> ## Documentation Index
> Fetch the complete documentation index at: https://docs.overflow.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tap Events

> Returns tap events for a nonprofit based on the provided filters. Events represent individual tap interactions and are sorted by time of occurrence.



## OpenAPI

````yaml https://server.stage.overflow.co/api/docs/openapi.json get /api/v3/tap/events
openapi: 3.0.0
info:
  title: Overflow Open API
  description: |

    The documentation for the Overflow Open APIs.

    To access the OpenAPI spec in JSON/YAML format, navigate to:

    * `/api/docs/openapi.json`
    * `/api/docs/openapi.yaml`
  version: '3.0'
  contact: {}
servers:
  - url: https://server.stage.overflow.co
    description: API server
security: []
tags: []
paths:
  /api/v3/tap/events:
    get:
      tags:
        - Tap
      summary: Get Tap Events
      description: >-
        Returns tap events for a nonprofit based on the provided filters. Events
        represent individual tap interactions and are sorted by time of
        occurrence.
      operationId: OpenApiTapEventsController_getEvents
      parameters:
        - name: limit
          required: false
          in: query
          description: The number of tap events to return.
          schema:
            minimum: 1
            maximum: 100
            default: 25
            type: number
        - name: page
          required: false
          in: query
          description: The page number of the tap events to return.
          schema:
            minimum: 1
            default: 1
            type: number
        - name: groupIds
          required: false
          in: query
          description: Filter tap events by group IDs.
          schema:
            minItems: 1
            example:
              - 6710f34fd5061afeec3eab58
            type: array
            items:
              type: string
        - name: destinationIds
          required: false
          in: query
          description: Filter tap events by destination IDs.
          schema:
            minItems: 1
            example:
              - 6710f34fd5061afeec3eab57
            type: array
            items:
              type: string
        - name: deviceIds
          required: false
          in: query
          description: Filter tap events by device IDs.
          schema:
            minItems: 1
            example:
              - 6710f34fd5061afeec3eab59
            type: array
            items:
              type: string
        - name: startDate
          required: false
          in: query
          description: Filter tap events on or after this date (ISO 8601).
          schema:
            format: date-time
            example: '2026-05-01T00:00:00.000Z'
            type: string
        - name: endDate
          required: false
          in: query
          description: Filter tap events on or before this date (ISO 8601).
          schema:
            format: date-time
            example: '2026-05-08T23:59:59.999Z'
            type: string
        - name: sortDirection
          required: false
          in: query
          description: >-
            The direction to sort the tap events by. Events are always sorted by
            time of occurrence.
          schema:
            default: DESC
            example: DESC
            enum:
              - ASC
              - DESC
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTapEventsResponse'
      security:
        - ClientId: []
          ApiKey: []
components:
  schemas:
    GetTapEventsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: Event ID
                example: 6816f8dc7d2a1b4c12ab3522
              createdAt:
                type: string
                format: date-time
                description: When the tap event was created
                example: '2026-05-04T14:12:44.002Z'
              deviceId:
                type: string
                description: Device that was tapped
              groupId:
                type: string
                description: Group the device belonged to at time of tap
              destinationId:
                type: string
                description: Destination the tap resolved to
              device:
                type: object
                properties:
                  id:
                    type: string
                    description: Device ID
                  serialNumber:
                    type: number
                    description: Device serial number
                required:
                  - id
                  - serialNumber
                nullable: true
                description: Embedded device summary
              group:
                type: object
                properties:
                  id:
                    type: string
                    description: Group ID
                  name:
                    type: string
                    description: Group name
                required:
                  - id
                  - name
                nullable: true
                description: Embedded group summary
              destination:
                type: object
                properties:
                  id:
                    type: string
                    description: Destination ID
                  name:
                    type: string
                    description: Destination name
                  type:
                    type: string
                    enum:
                      - web
                      - sms
                    nullable: true
                    description: Destination type
                required:
                  - id
                  - name
                  - type
                nullable: true
                description: Embedded destination summary
            required:
              - id
              - createdAt
              - deviceId
              - groupId
              - destinationId
              - device
              - group
              - destination
          description: List of tap events.
        totalCount:
          type: number
          description: Total number of tap events matching the filters.
          example: 100
      required:
        - data
        - totalCount
  securitySchemes:
    ClientId:
      type: apiKey
      in: header
      name: x-client-id
      description: Client ID for API authentication
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for API authentication

````